Index: src/Fragmentation/Homology/HomologyGraph_getFromKeysetStub.cpp
===================================================================
--- src/Fragmentation/Homology/HomologyGraph_getFromKeysetStub.cpp	(revision fe0355ee3fec7d6cbe3e4b2fdc1797b211092dff)
+++ src/Fragmentation/Homology/HomologyGraph_getFromKeysetStub.cpp	(revision fe0355ee3fec7d6cbe3e4b2fdc1797b211092dff)
@@ -0,0 +1,65 @@
+/*
+ * Project: MoleCuilder
+ * Description: creates and alters molecular systems
+ * Copyright (C)  2012 University of Bonn. All rights reserved.
+ * Please see the COPYING file or "Copyright notice" in builder.cpp for details.
+ * 
+ *
+ *   This file is part of MoleCuilder.
+ *
+ *    MoleCuilder is free software: you can redistribute it and/or modify
+ *    it under the terms of the GNU General Public License as published by
+ *    the Free Software Foundation, either version 2 of the License, or
+ *    (at your option) any later version.
+ *
+ *    MoleCuilder is distributed in the hope that it will be useful,
+ *    but WITHOUT ANY WARRANTY; without even the implied warranty of
+ *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ *    GNU General Public License for more details.
+ *
+ *    You should have received a copy of the GNU General Public License
+ *    along with MoleCuilder.  If not, see <http://www.gnu.org/licenses/>. 
+ */
+
+/*
+ * HomologyGraph_getFromKeysetStub.cpp
+ *
+ *  Created on: Sep 25, 2012
+ *      Author: heber
+ */
+
+
+// include config.h
+#ifdef HAVE_CONFIG_H
+#include <config.h>
+#endif
+
+#include "CodePatterns/MemDebug.hpp"
+
+#include "Fragmentation/Homology/HomologyGraph.hpp"
+#include "Fragmentation/KeySet.hpp"
+#include "Fragmentation/Summation/IndexSet.hpp"
+
+namespace detail {
+
+  const HomologyGraph::nodes_t getNodesFromKeySet(const KeySet &keyset)
+  {
+    return HomologyGraph::nodes_t();
+  }
+
+  const HomologyGraph::edges_t getEdgesFromKeySet(const KeySet &keyset)
+  {
+    return HomologyGraph::edges_t();
+  }
+
+  const HomologyGraph::nodes_t getNodesFromIndexSet(const IndexSet &keyset)
+  {
+    return HomologyGraph::nodes_t();
+  }
+
+  const HomologyGraph::edges_t getEdgesFromIndexSet(const IndexSet &keyset)
+  {
+    return HomologyGraph::edges_t();
+  }
+
+};  /* namespace detail */
Index: src/Fragmentation/Homology/unittests/Makefile.am
===================================================================
--- src/Fragmentation/Homology/unittests/Makefile.am	(revision 610c11a5323c7e86a4ffb55afc832f78510a0136)
+++ src/Fragmentation/Homology/unittests/Makefile.am	(revision fe0355ee3fec7d6cbe3e4b2fdc1797b211092dff)
@@ -26,4 +26,5 @@
 FRAGMENTATIONHOMOLOGYLIBS = \
 	../libMolecuilderFragmentation.la \
+	../libMolecuilderFragmentation_getFromKeysetStub.la \
 	../libMolecuilderHelpers.la \
 	${CodePatterns_LIBS} \
@@ -52,6 +53,5 @@
 HomologyGraphUnitTest_SOURCES = $(top_srcdir)/src/unittests/UnitTestMain.cpp \
 	../Fragmentation/Homology/unittests/HomologyGraphUnitTest.cpp \
-	../Fragmentation/Homology/unittests/HomologyGraphUnitTest.hpp \
-	../Fragmentation/Homology/unittests/stubs/HomologyGraph_getFromKeysetStub.cpp
+	../Fragmentation/Homology/unittests/HomologyGraphUnitTest.hpp
 HomologyGraphUnitTest_LDADD = ${FRAGMENTATIONHOMOLOGYLIBS}
 
Index: src/Fragmentation/Homology/unittests/stubs/HomologyGraph_getFromKeysetStub.cpp
===================================================================
--- src/Fragmentation/Homology/unittests/stubs/HomologyGraph_getFromKeysetStub.cpp	(revision 610c11a5323c7e86a4ffb55afc832f78510a0136)
+++ 	(revision )
@@ -1,65 +1,0 @@
-/*
- * Project: MoleCuilder
- * Description: creates and alters molecular systems
- * Copyright (C)  2012 University of Bonn. All rights reserved.
- * Please see the COPYING file or "Copyright notice" in builder.cpp for details.
- * 
- *
- *   This file is part of MoleCuilder.
- *
- *    MoleCuilder is free software: you can redistribute it and/or modify
- *    it under the terms of the GNU General Public License as published by
- *    the Free Software Foundation, either version 2 of the License, or
- *    (at your option) any later version.
- *
- *    MoleCuilder is distributed in the hope that it will be useful,
- *    but WITHOUT ANY WARRANTY; without even the implied warranty of
- *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- *    GNU General Public License for more details.
- *
- *    You should have received a copy of the GNU General Public License
- *    along with MoleCuilder.  If not, see <http://www.gnu.org/licenses/>. 
- */
-
-/*
- * HomologyGraph_getFromKeysetStub.cpp
- *
- *  Created on: Sep 25, 2012
- *      Author: heber
- */
-
-
-// include config.h
-#ifdef HAVE_CONFIG_H
-#include <config.h>
-#endif
-
-#include "CodePatterns/MemDebug.hpp"
-
-#include "Fragmentation/Homology/HomologyGraph.hpp"
-#include "Fragmentation/KeySet.hpp"
-#include "Fragmentation/Summation/IndexSet.hpp"
-
-namespace detail {
-
-  const HomologyGraph::nodes_t getNodesFromKeySet(const KeySet &keyset)
-  {
-    return HomologyGraph::nodes_t();
-  }
-
-  const HomologyGraph::edges_t getEdgesFromKeySet(const KeySet &keyset)
-  {
-    return HomologyGraph::edges_t();
-  }
-
-  const HomologyGraph::nodes_t getNodesFromIndexSet(const IndexSet &keyset)
-  {
-    return HomologyGraph::nodes_t();
-  }
-
-  const HomologyGraph::edges_t getEdgesFromIndexSet(const IndexSet &keyset)
-  {
-    return HomologyGraph::edges_t();
-  }
-
-};  /* namespace detail */
Index: src/Fragmentation/Makefile.am
===================================================================
--- src/Fragmentation/Makefile.am	(revision 610c11a5323c7e86a4ffb55afc832f78510a0136)
+++ src/Fragmentation/Makefile.am	(revision fe0355ee3fec7d6cbe3e4b2fdc1797b211092dff)
@@ -9,5 +9,4 @@
 	Fragmentation/Homology/HomologyContainer.cpp \
 	Fragmentation/Homology/HomologyGraph.cpp \
-	Fragmentation/Homology/HomologyGraph_getFromKeyset.cpp \
 	Fragmentation/AdaptivityMap.cpp \
 	Fragmentation/BondsPerShortestPath.cpp \
@@ -56,6 +55,11 @@
 
 
-noinst_LTLIBRARIES += libMolecuilderFragmentation.la
+noinst_LTLIBRARIES += \
+	libMolecuilderFragmentation.la \
+	libMolecuilderFragmentation_getFromKeyset.la \
+	libMolecuilderFragmentation_getFromKeysetStub.la
 libMolecuilderFragmentation_la_includedir = $(includedir)/MoleCuilder/Fragmentation/
+libMolecuilderFragmentation_getFromKeyset_la_includedir = $(includedir)/MoleCuilder/Fragmentation/
+libMolecuilderFragmentation_getFromKeysetStub_la_includedir = $(includedir)/MoleCuilder/Fragmentation/
 
 nobase_libMolecuilderFragmentation_la_include_HEADERS = ${FRAGMENTATIONHEADER}
@@ -70,4 +74,8 @@
 ## which are already listed elsewhere in a _HEADERS variable assignment.
 libMolecuilderFragmentation_la_SOURCES = ${FRAGMENTATIONSOURCE}
+libMolecuilderFragmentation_getFromKeyset_la_SOURCES = \
+	Fragmentation/Homology/HomologyGraph_getFromKeyset.cpp
+libMolecuilderFragmentation_getFromKeysetStub_la_SOURCES = \
+	Fragmentation/Homology/HomologyGraph_getFromKeysetStub.cpp
 
 ## Instruct libtool to include ABI version information in the generated shared
Index: src/Makefile.am
===================================================================
--- src/Makefile.am	(revision 610c11a5323c7e86a4ffb55afc832f78510a0136)
+++ src/Makefile.am	(revision fe0355ee3fec7d6cbe3e4b2fdc1797b211092dff)
@@ -401,4 +401,5 @@
 joiner_LDFLAGS = $(AM_LDFLAGS) $(BOOST_THREAD_LDFLAGS)
 joiner_LDADD = \
+	libMolecuilderFragmentation_getFromKeysetStub.la \
 	libMolecuilderFragmentation.la \
 	libMolecuilderHelpers.la \
@@ -412,4 +413,5 @@
 analyzer_LDFLAGS = $(AM_LDFLAGS) $(BOOST_THREAD_LDFLAGS)
 analyzer_LDADD = \
+	libMolecuilderFragmentation_getFromKeysetStub.la \
 	libMolecuilderFragmentation.la \
 	libMolecuilderHelpers.la \
@@ -446,4 +448,5 @@
 	libFragmentationAutomationController.la \
 	libMolecuilderJobs.la \
+	libMolecuilderFragmentation_getFromKeysetStub.la \
 	libMolecuilderFragmentation.la \
 	libMolecuilderHelpers.la \
Index: src/UIElements/Makefile.am
===================================================================
--- src/UIElements/Makefile.am	(revision 610c11a5323c7e86a4ffb55afc832f78510a0136)
+++ src/UIElements/Makefile.am	(revision fe0355ee3fec7d6cbe3e4b2fdc1797b211092dff)
@@ -238,4 +238,5 @@
 	libMolecuilderFilling.la \
 	libMolecuilder.la \
+	libMolecuilderFragmentation_getFromKeyset.la \
 	libMolecuilderFragmentation.la \
 	libMolecuilderParser.la \
